<?php

namespace App\Filament\Resources\CarrierResource\Pages;

use App\Filament\Resources\CarrierResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Contracts\Support\Htmlable;

class EditCarrier extends EditRecord
{
    protected static string $resource = CarrierResource::class;

    protected static ?string $navigationIcon = 'heroicon-m-briefcase';
    protected static ?string $navigationLabel = 'Tedarikçi Bilgileri';

    public function getTitle(): string | Htmlable
    {
        return self::$navigationLabel;
    }

    public function getBreadcrumb(): string
    {
        return self::$navigationLabel;
    }

    protected function getHeaderActions(): array
    {
        return [
            // Actions\DeleteAction::make(),
        ];
    }
}
